*{
	scroll-behavior: smooth;
	box-sizing: border-box;	
}

.container{
	width: 100%;
	height:100vh;
	background-image:linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7)),url("120idash.jpeg");
	background-position: center;
	background-size: cover;
	padding-left: 8%;
	padding-right: 8%;
	box-sizing: border-box;
	
}

.container p2{
	position: relative;
}
.container p2::before{
	background: transparent;
	content: '';
    position: absolute;
	animation: showRight 1s ease forwards;
    animation-delay: 1s;
}

.services-selection{
	background-image:linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7)),url("mx5dash.jpg");
	background-size: cover;
	padding:60px 0;
	width: 100%;
	
}
.inner-width{
	width: 100%;
	max-width: 1200px;
	margin:auto;
	padding:0 20px;
	overflow: hidden;
}

.section-title{
	text-align: center;
	text-transform: uppercase;
	color: whitesmoke;
	font-size: 30px;
}

.border{
	width: 160px;
	height: 2px;
	background: #2D76BD;
	margin: 40px auto;
}

.home{
	background-image:linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7)),url("szerszamok.JPG");
}

.accordion{
	margin: 60px auto;
	width: 600px;
	
}
.accordion li{
	list-style: none;
	width: 100%;
	padding: 10px;
	margin: 20px;
	border-radius: 8px;
	background: '';
	box-shadow: 6px 6px 10px -1px rgba(0,0,0,0.15),
				-6px -6px 10px -1px rgba(255,255,255,0.7);

}
 .accordion li label {
	display: flex;
	align-items: center;
	padding: 10px;
	font-size: 18px;
	cursor: pointer;

 }

 label::before{
	content: '+';
	margin-right: 10px;
	font-size: 24px;
	font-weight: 600;
 }
input[type="radio"]{
	display: none;
}

.accordion .content{
	color:whitesmoke;
	padding: 0 10px;
	line-height: 26px;
	max-height: 0;
	overflow: hidden;
	transition: max-height 0.5s, padding 0.5s;
}

.accordion input[type="radio"]:checked + label + .content{
	max-height: 400px;
	padding: 10px 10px 20px;

}
.accordion input[type="radio"]:checked + label::before {
	content: '-';
}



.services-container{
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	
}

.service-box{
	width: 33.33%;
	padding:10px;
	text-align: center;
	color: whitesmoke;
	cursor: pointer;
}
.service-icon {
  display: inline-block;
  width: 70px;
  height: 70px;
  border: 3px solid #2D76BD;
  color: #2D76BD;
  transform: rotate(45deg);
  margin-bottom: 30px;
  margin-top: 16px;
  transition: 0.3s linear;
  position: relative; /* Make the container a positioning context for the child elements */
}

.service-icon i {
  position: absolute; /* Position the icon absolutely within its parent container */
  top: 50%; /* Align the top of the icon with the vertical center of the container */
  left: 50%; /* Align the left side of the icon with the horizontal center of the container */
  transform: translate(-50%, -50%) rotate(-45deg); /* Center the icon precisely */
  font-size: 26px;
}

.service-box:hover .service-icon{
	background:#2D76BD;
	color:#4C9976;
}

.services-title{
	font-size: 18px;
	text-transform: uppercase;
	margin-bottom: 10px;
}

.service-desc{
	font-size: 14px;
	text-align: center;
}

@media screen and (max-width:768px){
	.service-box{
		max-width: 45%;
	}
}
@media screen and (max-width:768px){
	.service-box{
		max-width: 50%;
	}
}

@media screen and (max-width:480px){
	.service-box{
		max-width: 100%;
	}
}

main{
	margin-left: 0px;
	margin-right:0px;
}

h1{
	font-size: 75px;
	text-transform: uppercase;
	color:whitesmoke;
}
h2{
	font-size: 22px;
}
h3{
	text-align: center;
}
h4{}
h5{
	color:whitesmoke;
	text-shadow: 0 0 5px #999;
}



  

header{
	position: fixed;
	top:0;
	left:0;
	width:100%;
	padding: 20px 120px;
	background:#11141a;
	display:flex;
	justify-content: space-between;
	align-items: center;
	z-index: 100;
}


.logo{
	font-size: 25px;
	color:whitesmoke;
	text-decoration: none;
	font-weight: 600;
}
  
  .navbar ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
  }
  
  .navbar li {
    display: inline;
    margin-left: 20px;
  }
  
  .navbar li a {
    text-decoration: none;
    color: whitesmoke; 
    font-size: 18px;
    font-weight: 500;
	margin-left:35px;
    transition: color 0.3s ease;
  }
  
  .navbar li a:hover,
  .navbar li a.active{
    color: #0ef; 
  }
  
  /* Media query for responsiveness */
  @media (max-width: 768px) {
    .navbar {
      justify-content: center;
    }
    
    .navbar ul {
      display: flex;
      flex-direction: column;
      align-items: center;
    }
    
    .navbar li {
      margin: 10px 0;
    }
	
	 .logo {
      width: 80px;
    }
  }

  @media (min-width: 769px) {
    /* Adjust the logo size for larger screens */
    .logo {
      width: 150px;
    }
  }

section{
	min-height: 100vh;
	display:flex;
	justify-content: center;
	align-items: center;
	background:#1f242d;
	font-size: 100px;
	color:whitesmoke;
	font-weight: 700;
	
}

section:nth-child(odd){
	background: #323946;
}



.grid-pictures{
	display: grid;
	grid-template-columns: 200px 200px;
	grid-gap: 1rem 1rem;
}







.row{
	display: flex;
	height: 88%;
	align-items: center;
}
.col{
	flex-basis: 50%
}

p{
	font-size: 200%;
	color: whitesmoke;
}

p2{
	color:whitesmoke;
	font-size: 17px;
	line-height: 15px;
}

button{
	width:180px;
	color:#000;
	font-size: 12px;
	padding:12 0px;
	background: whitesmoke;
	border:0;
	border-radius: 20px;
	outline:none;
	margin-top: 30px;
}



body {
      margin: 0;
      font-family: Arial, sans-serif;
    }

    

.contact-info{
	min-height: 100vh;
	display:flex;
	align-items:center;
	justify-content: center;
	
	width: 100%;
	max-width: 1200px;
	padding: 0 20px;
	
}

.card{
	background: #272A32;
	padding: 0 20px;
	margin: 0 10px;
	width:33%;
	height: 200px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	color:whitesmoke;
	cursor: pointer;
}

.card1{
	width: 200px;
	height: 230px;
	display:inline-block;
	border-radius: 10px;
	padding :15px 25px;
	box-sizing: border-box;
	cursor: pointer;
	margint: 10px 15px;
	background-image: url("amperatotal.jpeg");
	background-position: center;
	background-size: cover;
	transition: transform 0.5s;
}

.card2{
	background-image: url("amperatotal.jpeg");
}
.card3{
	background-image: url("amperasegg.jpeg");
}
.card4{
	background-image: url("amperajobbsegg.jpeg");
}
.card5{
	background-image: url("amperatotal2.jpeg");
}

.card1:hover{
	transform: translateY(-10px);
}

.card-icon{
	font-size: 28px;
	background: #30B644;
	width:60px; 
	height:60px;
	text-align: center;
	line-height: 60px !important;
	border-radius: 50%;
	transition: 0.3s linear;
}

.card:hover .card-icon{
	background: none;
	color: #30B644;
	transform: scale(1.6);
}

.card p2{
	margin-top:20px;
	font-weight: 300;
	letter-spacing: 2px;
	max-height: 0;
	opacity: 0;
	transition: 0.3s linear;
}

.card:hover p2{
	max-height: 40px;
	opacity: 1;
}

.card1 p2{
	color:whitesmoke;
	text-shadow: 0 0 15px #000;
	
} 

@media screen and (max-width:800px){
	.contact-info{
		flex-direction:column;
	}	
	.card{
		width:100%;
		max-width: 300px;
		margin: 10px 0 ;
		
	}
}


.gallery-section{
  width: 100%;
  padding: 60px 0;
  background: #f1f1f1;
}

.inner-width{
  width: 100%;
  max-width: 1200px;
  margin: auto;
  padding: 0 20px;
}

.gallery-section h4{
  text-align: center;
  text-transform: uppercase;
  color: #333;
  font-size: 30px;
}

.border{
  width: 180px;
  height: 4px;
  background: #333;
  margin: 60px auto;
}

.gallery-section .gallery{
  display: flex;
  flex-wrap: wrap-reverse;
  justify-content: center;
  
}

.gallery-section .image{
  flex: 25%;
  overflow: hidden;
  cursor: pointer;
  object-fit: cover;
}

.gallery-section .image img{
  width: 100%;
  height: 100%;
  transition: 0.4s;
  object-fit: cover;
  
}

.gallery-section .image:hover img{
  transform: scale(1.4) rotate(15deg);
}

@media screen and (max-width:960px) {
  .gallery-section .image{
    flex: 33.33%;
  }
}

@media screen and (max-width:768px) {
  .gallery-section .image{
    flex: 50%;
  }
}

@media screen and (max-width:480px) {
  .gallery-section .image{
    flex: 100%;
  }
}




/* KEYFRAMES ANIMATION */
@keyframes showRight {
    100%{
        width: 0;
    }
}

